IOS53 and 55 i think you need these ones too...but its kindof hit and miss different games use different ios and thats why nintendo puts the update on games